Bug 48286 - With no mouse, X startup failed early in expert install
With no mouse, X startup failed early in expert install
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-09 23:07 EDT by Brent Nordquist
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-10 11:27:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brent Nordquist 2001-07-09 23:07:48 EDT
Description of Problem:
On a machine without a mouse plugged in (PS/2 normally), early in a Fairfax
beta1 "boot: expert updates" install (using the anaconda update disk for
writing traceback files), got anaconda crash with traceback.

How Reproducible:
Twice in a row.

Steps to Reproduce:
1. Boot with boot.img and "boot: expert updates".
2. Insert drivers.img disk when prompted.
3. Select English, us, Local CDROM.
4. Insert updates.img disk when prompted.
5. Receive anaconda traceback.

Actual Results:
...
Running anaconda - please wait...
Probing for video card:   S3 Trio64 (generic)
Probing for monitor type: Dell V15X
Probing for mouse type:   None - None
Waiting for X server to start...log located in /tmp/X.log
...X SERVER FAILED X startup failed, falling back to text mode
Traceback (innermost last):
  File "/usr/bin/anaconda", line 540, in ?
    instClass.setKeyboard(id, keymap)
  File "/usr/lib/anaconda/installclass.py", line 195, in setKeyboard
    apply(id.xconfig.setKeyboard, xkb)
AttributeError: 'None' object has no attribute 'setKeyboard'
install exited abnormally

Expected Results:
Not crashing.
Comment 1 Michael Fulbright 2001-07-11 18:46:56 EDT
Fixed for beta 2 - we do not allow X to start if no mouse attached.

Note You need to log in before you can comment on or make changes to this bug.